Bug 125185 - renice man page incorrect
renice man page incorrect
Product: Fedora
Classification: Fedora
Component: util-linux (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Elliot Lee
Ben Levenson
: EasyFix
Depends On:
  Show dependency treegraph
Reported: 2004-06-03 10:39 EDT by Stewart Wright
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-10 10:47:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stewart Wright 2004-06-03 10:39:34 EDT
Description of problem:
  Renice does not seem to allow the changing of process priorities.
  Renice fails with a "setpriority: Operation not permitted" error.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Find a already running process' PID (i.e. mozilla)
2. renice -n 10 -p PID
Actual results:
  > renice -n 10 -p 8537
  renice: 10: setpriority: Operation not permitted
  8537: old priority 0, new priority 0

Expected results:
  A reniced process!  ;-)

Additional info:
  There is an additional problem with setpriority(2) which I will
report as a bug too.
Comment 1 Tim Waugh 2004-06-03 10:46:54 EDT
Use: renice 10 -p ...

Man page is wrong, but 'renice --help' output is correct.
Comment 2 Stewart Wright 2004-06-03 10:55:50 EDT
The change in syntax doesn't work...

> renice -10 -p 1156
renice: 1156: setpriority: Permission denied

I've submitted another bug (#125187) showing a failure of
setpriority(2).  I wonder if these are related.

As a side issue, 'top' also fails on "renice"ing.
Comment 3 Tim Waugh 2004-06-03 11:09:18 EDT
From the man page:

"Only the super-user may lower priorities."
Comment 4 Stewart Wright 2004-06-03 14:19:28 EDT
Oops.  Should have RTFM a bit closer.  Mea culpa.

Still there is the problem that renice won't allow an increase in
priority as described in the initial bug report.
Comment 5 Tim Waugh 2004-06-03 15:05:15 EDT
renice is functioning correctly for me.

The problem is that the man page is incorrect.
Comment 6 Elliot Lee 2004-12-10 10:47:41 EST
The renice man page doesn't mention a -n option, so everything looks
correct except the command line that was used.
Comment 7 Robin Green 2005-06-23 12:05:08 EDT
I have identified the real problem here and filed it as bug 161462.

Note You need to log in before you can comment on or make changes to this bug.